<!-- Form Window -->
<html>

<head>
<title>{%const:title%} - {%title%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/scripts.js"></script>
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/toolbar.js"></script>
<script language="JavaScript" type="text/javascript">
<!--
function window_onload()
{

editAreaLoader.init({
	id : "template_body",
	syntax: "html",
	start_highlight: true,
  toolbar: "search, go_to_line, |, undo, redo, |, select_font,|, change_smooth_selection, highlight, reset_highlight, |, help"
});

window.resizeTo(790, document.body.scrollHeight + 100);

}

function resize_row()
{
        var a = document.body.offsetHeight;
        var b;

        if (a-524 != 0 ) {
                b=Math.floor((a-524)/14);
                if(22 + b > 0)
                {
                  document.Form.bodytext.rows=21 + b;
                }else
                {
                  document.Form.bodytext.rows=1;
                }
        }

        try {
          editAreaLoader.hide('template_body');
          editAreaLoader.show('template_body');
        } catch(e) {}

}

function AllowTabCharacter() {
  try {
   if (event != null) {
      if (event.srcElement) {
         if (event.srcElement.value) {
            if (event.keyCode == 9) {  // tab character
               if (document.selection != null) {

                  document.selection.createRange().text = '\t';
                  event.returnValue = false;
               }
               else {
                  event.srcElement.value += '\t';
                  return false;
               }
            }
          }
      }
   }
  }catch(e)
  {}
}

function deleteEditArea() {
  editAreaLoader.delete_instance('template_body');
}

//-->
</script>
<script language="javascript" type="text/javascript" src="{%glo:cfgWebRoot%}gui/editarea/edit_area/edit_area_full.js"></script>
</head>

<body bgcolor="#F0F0F0" topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" onload="return window_onload()"
onResize="resize_row();" onbeforeunload="deleteEditArea();">

<form name="Form" id="Form" enctype="multipart/form-data" action="{%str:formaction%}" method="POST" style="margin: 0; padding: 0;">

<table width="100%" style="height: 100%;" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td>
    <table width="100%" style="height: 100%;" border="0" cellspacing="0" cellpadding="0" class="formExFrame">

<tr><td class="formFrame">
<table width="100%" style="height: 90%;" border="0" cellspacing="0" cellpadding="5" class="formInFrame">
<tr>
  <td width="100%" align="left" colspan="2" class="formTitle">
    {%langstr:template_contents%} :
  </td>
</tr>
<input type="hidden" name="template_id" value="{%str:templ_id%}">
<tr>
  <td  width="20" class="formLabel">
    {%langstr:col_name%}:
  </td>
  <td  width="" class="formControl">
    <input class="formEdit" name="name" value="{%str:templ_name%}">
  </td>
</tr>
<tr>
  <td  width="20" class="formLabel">
    {%langstr:col_description%}:
  </td>
  <td  width="" class="formControl">
    <input class="formEdit" name="description" value="{%str:templ_desc%}">
  </td>
</tr>

<tr>
  <td  width="20"class="formLabel">
    {%langstr:tools%}:
  </td>
  <td  width=""class="formControl">
  {%str:componentscombo%}
  </td>
</tr>

<tr>
  <td  width="20" class="formLabel">
    {%langstr:contents%}:
  </td>
  <td id="iframeid" class="formControl" onresize="javascript:var a = document.getElementById('iframeid').offsetHeight - 40; if(a < 20) a = 20;">
    <textarea id="template_body" lang="consthtml" onkeydown="AllowTabCharacter()" class="formEdit" style="font-family: 'Courier New', Courier, monospace;" name="bodytext" wrap="off" rows="23" cols="85" onselect="storeCaret(this);" onclick="storeCaret(this);" onkeyup="storeCaret(this);" onchange="storeCaret(this);">{%str:templ_contents%}</textarea>
  </td>
</tr>
</table>
<table width="100%" border="0" cellpadding="4" cellspacing="4">
<!-- <tr><td>&nbsp;</td></tr> -->
<tr>
  <td align="right"><input type="hidden" id="url" name="url" value="" />
<input ID="OKButton" class="formButton" type="submit" value="&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;">&nbsp;<input id="APPLYButton" class="formButton" type="submit" value="{%langstr:apply%}" onclick="document.getElementById('url').value = '{%str:request_uri%}'" />&nbsp;<input class="formButton" type="button" value="{%langstr:cancel%}" OnClick="window.close();"><!--&nbsp;<input class="formButton" type="reset" value="{%langstr:reset%}">-->
  </td>
</tr>
</table>
</td></tr>
</table>

    </td>
  </tr>
</table>
</form>
</body>

</html>

